Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/applicants/applicant.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/applicants/applicant.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/applicants/applicant.py	(revision 11687)
@@ -21,12 +21,11 @@
 from waeup.kofa.applicants.applicant import ApplicantFactory
 from waeup.kofa.utils.helpers import attrs_to_fields
-from kofacustom.nigeria.applicants.applicant import NigeriaApplicant
-from kofacustom.skeleton.applicants.interfaces import(
-    ICustomApplicant, ICustomUGApplicantEdit, ICustomPGApplicantEdit, IPUTMEApplicantEdit)
+from waeup.kofa.applicants.applicant import Applicant
+from kofacustom.sampleuni.applicants.interfaces import(
+    ICustomApplicant, ICustomApplicantEdit)
 
-class CustomApplicant(NigeriaApplicant):
+class CustomApplicant(Applicant):
 
-    grok.implements(ICustomApplicant, ICustomUGApplicantEdit,
-        ICustomPGApplicantEdit, IPUTMEApplicantEdit)
+    grok.implements(ICustomApplicant, ICustomApplicantEdit)
     grok.provides(ICustomApplicant)
 
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/applicants/batching.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/applicants/batching.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/applicants/batching.py	(revision 11687)
@@ -20,6 +20,5 @@
 from waeup.kofa.utils.batching import BatchProcessor
 from waeup.kofa.applicants.batching import ApplicantProcessor
-from kofacustom.skeleton.applicants.interfaces import (
-    ICustomApplicant, ICustomApplicantUpdateByRegNo)
+from kofacustom.sampleuni.applicants.interfaces import ICustomApplicant
 
 class CustomApplicantProcessor(ApplicantProcessor):
@@ -36,3 +35,2 @@
     """
     iface = ICustomApplicant
-    iface_byregnumber = ICustomApplicantUpdateByRegNo
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/applicants/browser.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/applicants/browser.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/applicants/browser.py	(revision 11687)
@@ -21,8 +21,4 @@
 from waeup.kofa.applicants.browser import (
     ApplicantRegistrationPage, ApplicantsContainerPage)
-from kofacustom.nigeria.applicants.browser import (
-    NigeriaApplicantDisplayFormPage,
-    NigeriaPDFApplicationSlip)
+from kofacustom.sampleuni.interfaces import MessageFactory as _
 
-from kofacustom.skeleton.interfaces import MessageFactory as _
-
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/applicants/export.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/applicants/export.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/applicants/export.py	(revision 11687)
@@ -20,19 +20,13 @@
 import grok
 from waeup.kofa.applicants.interfaces import IApplicantBaseData
-from kofacustom.nigeria.applicants.export import NigeriaApplicantsExporter
-from kofacustom.nigeria.applicants.interfaces import (
-    INigeriaUGApplicant, INigeriaPGApplicant)
-from kofacustom.skeleton.applicants.interfaces import (
-    ICustomUGApplicant, ICustomPGApplicant)
+from waeup.kofa.applicants.export import ApplicantsExporter
+from kofacustom.sampleuni.applicants.interfaces import ICustomApplicant
 
-class CustomApplicantsExporter(NigeriaApplicantsExporter):
+class CustomApplicantsExporter(ApplicantsExporter):
     """Exporter for Custom Applicants.
     """
 
     fields = tuple(sorted(set(
-        ICustomUGApplicant.names() +
-        ICustomPGApplicant.names() +
-        INigeriaUGApplicant.names() +
-        INigeriaPGApplicant.names() +
+        ICustomApplicant.names() +
         IApplicantBaseData.names()
         ))) + ('container_code',)
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/applicants/interfaces.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/applicants/interfaces.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/applicants/interfaces.py	(revision 11687)
@@ -19,63 +19,18 @@
 """
 
-from zope import schema
 from waeup.kofa.applicants.interfaces import (
     IApplicantBaseData,
-    AppCatCertificateSource, CertificateSource)
-from waeup.kofa.schoolgrades import ResultEntryField
-from waeup.kofa.interfaces import (
-    SimpleKofaVocabulary, academic_sessions_vocab, validate_email)
-from waeup.kofa.schema import FormattedDate, TextLineChoice
-from waeup.kofa.students.vocabularies import nats_vocab, GenderSource
-from waeup.kofa.applicants.interfaces import contextual_reg_num_source
-from kofacustom.nigeria.applicants.interfaces import (
-    LGASource, high_qual, high_grade, exam_types,
-    INigeriaUGApplicant, INigeriaPGApplicant,
-    INigeriaApplicantOnlinePayment,
-    INigeriaUGApplicantEdit, INigeriaPGApplicantEdit,
-    INigeriaApplicantUpdateByRegNo,
-    IPUTMEApplicantEdit,
+    IApplicantOnlinePayment,
+    IApplicantEdit,
     )
-from kofacustom.skeleton.interfaces import MessageFactory as _
-from kofacustom.skeleton.payments.interfaces import ICustomOnlinePayment
+from kofacustom.sampleuni.interfaces import MessageFactory as _
 
-class ICustomUGApplicant(INigeriaUGApplicant):
-    """An undergraduate applicant.
+class ICustomApplicant(IApplicantBaseData):
+    """A custom applicant.
 
-    This interface defines the least common multiple of all fields
-    in ug application forms. In customized forms, fields can be excluded by
-    adding them to the UG_OMIT* tuples.
     """
 
-class ICustomPGApplicant(INigeriaPGApplicant):
-    """A postgraduate applicant.
-
-    This interface defines the least common multiple of all fields
-    in pg application forms. In customized forms, fields can be excluded by
-    adding them to the PG_OMIT* tuples.
-    """
-
-
-class ICustomApplicant(ICustomUGApplicant, ICustomPGApplicant):
-    """An interface for both types of applicants.
-
-    Attention: The ICustomPGApplicant field seetings will be overwritten
-    by ICustomPGApplicant field settings. If a field is defined
-    in both interfaces zope.schema validates only against the
-    constraints in ICustomUGApplicant. This does not affect the forms
-    since they are build on either ICustomUGApplicant or ICustomPGApplicant.
-    """
-
-    def writeLogMessage(view, comment):
-        """Adds an INFO message to the log file
-        """
-
-    def createStudent():
-        """Create a student object from applicant data
-        and copy applicant object.
-        """
-
-class ICustomUGApplicantEdit(INigeriaUGApplicantEdit):
-    """An undergraduate applicant interface for edit forms.
+class ICustomApplicantEdit(IApplicantEdit):
+    """A custom applicant interface for editing.
 
     Here we can repeat the fields from base data and set the
@@ -88,37 +43,7 @@
     """
 
-class ICustomPGApplicantEdit(INigeriaPGApplicantEdit):
-    """A postgraduate applicant interface for editing.
-
-    Here we can repeat the fields from base data and set the
-    `required` and `readonly` attributes to True to further restrict
-    the data access. Or we can allow only certain certificates to be
-    selected by choosing the appropriate source.
-
-    We cannot omit fields here. This has to be done in the
-    respective form page.
-    """
-
-class ICustomApplicantOnlinePayment(INigeriaApplicantOnlinePayment):
-    """An applicant payment via payment gateways.
+class ICustomApplicantOnlinePayment(IApplicantOnlinePayment):
+    """A custom applicant payment via payment gateways.
 
     """
 
-class IPUTMEApplicantEdit(IPUTMEApplicantEdit):
-    """An undergraduate applicant interface for editing.
-
-    Here we can repeat the fields from base data and set the
-    `required` and `readonly` attributes to True to further restrict
-    the data access. Or we can allow only certain certificates to be
-    selected by choosing the appropriate source.
-
-    We cannot omit fields here. This has to be done in the
-    respective form page.
-    """
-
-class ICustomApplicantUpdateByRegNo(INigeriaApplicantUpdateByRegNo):
-    """Representation of an applicant.
-
-    Skip regular reg_number validation if reg_number is used for finding
-    the applicant object.
-    """
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/applicants/payment.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/applicants/payment.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/applicants/payment.py	(revision 11687)
@@ -24,5 +24,5 @@
 from waeup.kofa.applicants.payment import ApplicantOnlinePayment
 from waeup.kofa.utils.helpers import attrs_to_fields
-from kofacustom.skeleton.applicants.interfaces import ICustomApplicantOnlinePayment
+from kofacustom.sampleuni.applicants.interfaces import ICustomApplicantOnlinePayment
 
 class CustomApplicantOnlinePayment(ApplicantOnlinePayment):
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/applicants/tests/test_applicant.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/applicants/tests/test_applicant.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/applicants/tests/test_applicant.py	(revision 11687)
@@ -30,9 +30,9 @@
 from waeup.kofa.interfaces import IFileStoreHandler, IFileStoreNameChooser
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.skeleton.applicants.applicant import (
+from kofacustom.sampleuni.applicants.applicant import (
     CustomApplicant, CustomApplicantFactory,
     )
-from kofacustom.skeleton.applicants.interfaces import ICustomApplicant
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.sampleuni.applicants.interfaces import ICustomApplicant
+from kofacustom.sampleuni.testing import FunctionalLayer
 
 class CustomApplicantTest(FunctionalTestCase):
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/applicants/tests/test_browser.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/applicants/tests/test_browser.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/applicants/tests/test_browser.py	(revision 11687)
@@ -24,9 +24,11 @@
 from zope.catalog.interfaces import ICatalog
 from zope.intid.interfaces import IIntIds
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.sampleuni.testing import FunctionalLayer
+from waeup.kofa.schoolgrades import ResultEntry
+from waeup.kofa.utils.utils import KofaUtils
 from waeup.kofa.applicants.tests.test_browser import ApplicantsFullSetup
 from waeup.kofa.applicants.tests.test_batching import ApplicantImportExportSetup
-from kofacustom.skeleton.applicants.export import CustomApplicantsExporter
-from kofacustom.skeleton.applicants.batching import CustomApplicantProcessor
+from kofacustom.sampleuni.applicants.export import CustomApplicantsExporter
+from kofacustom.sampleuni.applicants.batching import CustomApplicantProcessor
 
 class CustomApplicantUITests(ApplicantsFullSetup):
@@ -53,5 +55,4 @@
         applicant.lastname = u'Tester'
         applicant.middlename = u'M.'
-        applicant.nationality = u'NG'
         applicant.date_of_birth = datetime.date(1981, 2, 4)
         applicant.sex = 'f'
@@ -62,8 +63,11 @@
         applicant.course_admitted = self.certificate
         applicant.notice = u'Some notice\nin lines.'
-        applicant.screening_score = 98
-        applicant.screening_venue = u'Exam Room'
-        applicant.screening_date = u'Saturday, 16th June 2012 2:00:00 PM'
         applicant.password = 'any password'
+        result_entry = ResultEntry(
+            KofaUtils.EXAM_SUBJECTS_DICT.keys()[0],
+            KofaUtils.EXAM_GRADES[0][0]
+            )
+        applicant.school_grades = [
+            result_entry]
         return applicant
 
@@ -75,23 +79,18 @@
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()
-        self.assertMatches(result,
-            'aggregate,applicant_id,application_date,application_number,'
-            'course1,course2,course_admitted,date_of_birth,display_fullname,'
-            'email,emp2_end,emp2_position,emp2_reason,emp2_start,emp_end,'
-            'emp_position,emp_reason,emp_start,employer,employer2,'
-            'firstname,history,hq_degree,hq_disc,hq_matric_no,hq_school,'
-            'hq_session,hq_type,jamb_score,jamb_subjects,lastname,lga,'
-            'locked,middlename,nationality,notice,nysc_lga,nysc_year,'
-            'password,phone,pp_school,presently_inst,reg_number,'
-            'result_uploaded,screening_date,screening_score,'
-            'screening_venue,sex,special_application,'
-            'state,student_id,suspended,container_code\r\n'
-            ',dp2011_654321,,654321,CERT1,CERT1,CERT1,1981-02-04#,'
-            'Anna M. Tester,anna@sample.com,,,,,,,,,,,Anna,'
-            '[u\'2012-10-28 21:27:52 WAT - Application initialized by system\']'
-            ',,,,,,,,,Tester,,0,M.,NG,"Some notice\nin lines.",,,'
-            'any password,+234-123-12345#,,,123456,,'
-            '"Saturday, 16th June 2012 2:00:00 PM",98,Exam Room,f,,initialized,,'
-            '0,dp2011\r\n')
+        self.assertTrue(
+            'applicant_id,application_date,application_number,course1,course2,'
+            'course_admitted,date_of_birth,display_fullname,email,firstname,'
+            'history,lastname,locked,middlename,notice,password,phone,'
+            'reg_number,sex,special_application,state,'
+            'student_id,suspended,container_code\r\n'
+            'dp2011_654321,,654321,CERT1,CERT1,CERT1,1981-02-04#,'
+            'Anna M. Tester,anna@sample.com,Anna,'
+            in result)
+        self.assertTrue(
+            'Application initialized by system\'],'
+            'Tester,0,M.,"Some notice\nin lines.",any password,'
+            '+234-123-12345#,123456,f,,initialized,,0,dp2011\r\n'
+            in result)
         # We can import the same file if we ignore some columns.
         # Since the applicants_catalog hasn't been notified, the same
@@ -100,17 +99,12 @@
         result = processor.doImport(
             self.outfile,
-            ['aggreagate','ignore_applicant_id','application_date',
+            ['ignore_applicant_id','application_date',
             'ignore_application_number','course1','course2',
-            'course_admitted','date_of_birth','ignore3','email','emp2_end',
-            'emp2_position','emp2_reason','emp2_start','emp_end','emp_position',
-            'emp_reason','emp_start','employer','employer2','firstname','ignore4',
-            'hq_degree','hq_disc','hq_matric_no','hq_school','hq_session','hq_type',
-            'jamb_score','jamb_subjects','lastname','lga','locked','middlename',
-            'nationality','notice','nysc_lga',
-            'nysc_year','password','phone','pp_school','presently_inst',
-            'reg_number','result_uploaded',
-            'screening_date','screening_score','screening_venue','sex',
-            'special_application',
-            'state','student_id','suspended','container_code'],
+            'course_admitted','date_of_birth',
+            'ignore_display_fullname','email','firstname',
+            'ignore_history','lastname','locked','middlename',
+            'notice','password','phone',
+            'reg_number','sex','special_application','state',
+            'student_id','suspended','container_code'],
             mode='create')
         num_succ, num_fail, finished_path, failed_path = result
@@ -118,27 +112,3 @@
         self.assertEqual(num_succ,1)
         self.assertEqual(num_fail,0)
-        # Now we ignore also the container_code and import the same file
-        # in update mode which means that INigeriaApplicantUpdateByRegNo
-        # is used for field conversion. applicant_id must be ignored
-        # too since the previous import has notified the applicants_catalog
-        # so that the portal 'knows' that reg_number is in use.
-        processor = CustomApplicantProcessor()
-        result = processor.doImport(
-            self.outfile,
-            ['aggregate','ignore_applicant_id','application_date',
-            'ignore_application_number','course1','course2',
-            'course_admitted','date_of_birth','ignore3','email','emp2_end',
-            'emp2_position','emp2_reason','emp2_start','emp_end','emp_position',
-            'emp_reason','emp_start','employer','employer2','firstname','ignore4',
-            'hq_degree','hq_disc','hq_matric_no','hq_school','hq_session','hq_type',
-            'jamb_score','jamb_subjects','lastname','lga','locked','middlename',
-            'nationality','notice','nysc_lga',
-            'nysc_year','password','phone','pp_school','presently_inst',
-            'reg_number','result_uploaded','screening_date','screening_score',
-            'screening_venue','sex','special_application',
-            'state','student_id','suspended','ignore_container_code'],
-            mode='update')
-        num_succ, num_fail, finished_path, failed_path = result
-        self.assertEqual(num_succ,1)
-        self.assertEqual(num_fail,0)
         return
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/applicants/utils.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/applicants/utils.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/applicants/utils.py	(revision 11687)
@@ -19,12 +19,8 @@
 """
 
-from kofacustom.nigeria.applicants.utils import NigeriaApplicantsUtils
-from waeup.kofa.applicants.workflow import (INITIALIZED,
-    STARTED, PAID, ADMITTED, NOT_ADMITTED, SUBMITTED, CREATED)
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from waeup.kofa.applicants.utils import ApplicantsUtils
+from kofacustom.sampleuni.interfaces import MessageFactory as _
 
-
-
-class ApplicantsUtils(NigeriaApplicantsUtils):
+class ApplicantsUtils(ApplicantsUtils):
     """A collection of parameters and methods subject to customization.
     """
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/browser/pages.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/browser/pages.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/browser/pages.py	(revision 11687)
@@ -21,5 +21,5 @@
     LoginPage, CertificatePage, CertificateManageFormPage)
 from waeup.kofa.university.interfaces import ICertificate
-from kofacustom.skeleton.interfaces import (
+from kofacustom.sampleuni.interfaces import (
     ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
 
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/browser/tests.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/browser/tests.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/browser/tests.py	(revision 11687)
@@ -22,5 +22,5 @@
 from zope.security.interfaces import Unauthorized
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.sampleuni.testing import FunctionalLayer
 from waeup.kofa.app import University
 
@@ -48,9 +48,2 @@
         clearSite()
         shutil.rmtree(self.dc_root)
-
-    def test_access_live_url(self):
-        # We can't access the system with basic authentication
-        self.browser.addHeader('Authorization', 'Basic grok:grok')
-        self.assertRaises(
-            Unauthorized, self.browser.open, 'https://skeleton-kofa.waeup.org')
-        return
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/configuration.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/configuration.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/configuration.py	(revision 11687)
@@ -24,5 +24,5 @@
 from waeup.kofa.configuration import (
     SessionConfigurationFactory, SessionConfiguration)
-from kofacustom.skeleton.interfaces import (
+from kofacustom.sampleuni.interfaces import (
     ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
 
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/configure.zcml
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/configure.zcml	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/configure.zcml	(revision 11687)
@@ -1,10 +1,7 @@
 <configure xmlns="http://namespaces.zope.org/zope"
            xmlns:grok="http://namespaces.zope.org/grok">
-  <include package="kofacustom.skeleton" file="locales.zcml" />
+  <include package="kofacustom.sampleuni" file="locales.zcml" />
 
-  <!-- kofacustom.nigeria configures everything we basically need.
-  -->
-  <include package="kofacustom.nigeria" />
-
+  <include package="waeup.kofa" />
   <grok:grok package="." />
 
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/ftesting.zcml
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/ftesting.zcml	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/ftesting.zcml	(revision 11687)
@@ -2,10 +2,10 @@
    xmlns="http://namespaces.zope.org/zope"
    xmlns:kofa="http://namespaces.waeup.org/kofa"
-   i18n_domain="kofacustom.skeleton"
-   package="kofacustom.skeleton"
+   i18n_domain="kofacustom.sampleuni"
+   package="kofacustom.sampleuni"
    >
 
-  <include package="kofacustom.skeleton" />
-  <include package="kofacustom.skeleton" file="mail.zcml"/>
+  <include package="kofacustom.sampleuni" />
+  <include package="kofacustom.sampleuni" file="mail.zcml"/>
 
   <!-- Where should the datacenter reside by default? -->
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/interfaces.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/interfaces.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/interfaces.py	(revision 11687)
@@ -23,5 +23,5 @@
     ISessionConfiguration, academic_sessions_vocab)
 
-_ = MessageFactory = zope.i18nmessageid.MessageFactory('kofacustom.skeleton')
+_ = MessageFactory = zope.i18nmessageid.MessageFactory('kofacustom.sampleuni')
 
 # It's recommended to replicate all fields from the base package here.
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/payments/interfaces.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/payments/interfaces.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/payments/interfaces.py	(revision 11687)
@@ -18,8 +18,8 @@
 from zope.interface import Attribute
 from zope import schema
-from kofacustom.nigeria.payments.interfaces import INigeriaOnlinePayment
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from waeup.kofa.payments.interfaces import IOnlinePayment
+from kofacustom.sampleuni.interfaces import MessageFactory as _
 
-class ICustomOnlinePayment(INigeriaOnlinePayment):
+class ICustomOnlinePayment(IOnlinePayment):
     """A payment via payment gateways.
 
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/permissions.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/permissions.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/permissions.py	(revision 11687)
@@ -20,5 +20,5 @@
 
 
-class CRPUOfficer(CCOfficer):
+class CustomCCOfficer(CCOfficer):
     """ Permissions of Computer Center members.
 
@@ -28,3 +28,3 @@
 
     grok.name('waeup.CCOfficer')
-    grok.title(u'CC Officer')
+    grok.title(u'Our CC Officer')
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/batching.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/students/batching.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/batching.py	(revision 11687)
@@ -24,5 +24,5 @@
 students, studycourses, payment tickets and accommodation tickets.
 """
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.sampleuni.students.interfaces import (
     ICustomStudent, ICustomStudentUpdateByRegNo,
     ICustomStudentUpdateByMatricNo,
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/browser.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/students/browser.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/browser.py	(revision 11687)
@@ -32,16 +32,7 @@
 from waeup.kofa.students.interfaces import IStudentsUtils, ICourseTicket
 from waeup.kofa.students.workflow import FORBIDDEN_POSTGRAD_TRANS
-from kofacustom.nigeria.students.browser import (
-    NigeriaOnlinePaymentDisplayFormPage,
-    NigeriaStudentBaseManageFormPage,
-    NigeriaStudentClearanceEditFormPage,
-    NigeriaOnlinePaymentAddFormPage,
-    NigeriaExportPDFPaymentSlipPage,
-    NigeriaExportPDFClearanceSlipPage,
-    )
-
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.sampleuni.students.interfaces import (
     ICustomStudentOnlinePayment, ICustomStudentStudyCourse,
     ICustomStudentStudyLevel)
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from kofacustom.sampleuni.interfaces import MessageFactory as _
 
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/export.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/students/export.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/export.py	(revision 11687)
@@ -18,5 +18,5 @@
 """Exporters for student related stuff.
 """
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.sampleuni.students.interfaces import (
     ICustomStudent,
     ICustomStudentStudyCourse,
@@ -24,13 +24,13 @@
     ICustomCourseTicket,
     ICustomStudentOnlinePayment)
-from kofacustom.nigeria.students.export import (
-    NigeriaStudentsExporter,
-    NigeriaStudentStudyCourseExporter,
-    NigeriaStudentStudyLevelExporter,
-    NigeriaCourseTicketExporter,
-    NigeriaStudentPaymentsExporter)
+from waeup.kofa.students.export import (
+    StudentsExporter,
+    StudentStudyCourseExporter,
+    StudentStudyLevelExporter,
+    CourseTicketExporter,
+    StudentPaymentsExporter)
 from waeup.kofa.utils.helpers import iface_names
 
-class CustomStudentsExporter(NigeriaStudentsExporter):
+class CustomStudentsExporter(StudentsExporter):
     """Exporter for Students.
     """
@@ -41,5 +41,5 @@
         'current_level', 'current_session')
 
-class CustomStudentStudyCourseExporter(NigeriaStudentStudyCourseExporter):
+class CustomStudentStudyCourseExporter(StudentStudyCourseExporter):
     """Exporter for StudentStudyCourses.
     """
@@ -48,5 +48,5 @@
         sorted(iface_names(ICustomStudentStudyCourse))) + ('student_id',)
 
-class CustomStudentStudyLevelExporter(NigeriaStudentStudyLevelExporter):
+class CustomStudentStudyLevelExporter(StudentStudyLevelExporter):
     """Exporter for StudentStudyLevels.
     """
@@ -56,5 +56,5 @@
         'student_id', 'number_of_tickets','certcode')
 
-class CustomCourseTicketExporter(NigeriaCourseTicketExporter):
+class CustomCourseTicketExporter(CourseTicketExporter):
     """Exporter for CourseTickets.
     """
@@ -64,5 +64,5 @@
         'certcode', 'display_fullname')
 
-class CustomStudentPaymentsExporter(NigeriaStudentPaymentsExporter):
+class CustomStudentPaymentsExporter(StudentPaymentsExporter):
     """Exporter for OnlinePayment instances.
     """
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/interfaces.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/students/interfaces.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/interfaces.py	(revision 11687)
@@ -18,29 +18,29 @@
 
 from zope import schema
-from kofacustom.nigeria.students.interfaces import (
-    INigeriaStudentBase, INigeriaUGStudentClearance, INigeriaPGStudentClearance,
-    INigeriaStudentPersonal, INigeriaStudentStudyLevel,
-    INigeriaStudentStudyCourse, INigeriaCourseTicket,
-    INigeriaStudentUpdateByRegNo, INigeriaStudentUpdateByMatricNo,
+from waeup.kofa.students.interfaces import (
+    IStudentBase, IUGStudentClearance, IPGStudentClearance,
+    IStudentPersonal, IStudentStudyLevel,
+    IStudentStudyCourse, ICourseTicket,
+    IStudentUpdateByRegNo, IStudentUpdateByMatricNo,
     )
-from kofacustom.skeleton.payments.interfaces import ICustomOnlinePayment
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from kofacustom.sampleuni.payments.interfaces import ICustomOnlinePayment
+from kofacustom.sampleuni.interfaces import MessageFactory as _
 
-class ICustomStudentBase(INigeriaStudentBase):
+class ICustomStudentBase(IStudentBase):
     """Representation of student base data.
 
     """
 
-class ICustomStudentPersonal(INigeriaStudentPersonal):
+class ICustomStudentPersonal(IStudentPersonal):
     """Student personal data.
 
     """
 
-class ICustomUGStudentClearance(INigeriaUGStudentClearance):
+class ICustomUGStudentClearance(IUGStudentClearance):
     """Representation of ug student clearance data.
 
     """
 
-class ICustomPGStudentClearance(INigeriaPGStudentClearance):
+class ICustomPGStudentClearance(IPGStudentClearance):
     """Representation of pg student clearance data.
 
@@ -54,10 +54,10 @@
     """
 
-class ICustomStudentStudyCourse(INigeriaStudentStudyCourse):
+class ICustomStudentStudyCourse(IStudentStudyCourse):
     """A container for student study levels.
 
     """
 
-class ICustomStudentStudyLevel(INigeriaStudentStudyLevel):
+class ICustomStudentStudyLevel(IStudentStudyLevel):
     """A container for course tickets.
 
@@ -85,15 +85,15 @@
     'p_session'].order
 
-class ICustomCourseTicket(INigeriaCourseTicket):
+class ICustomCourseTicket(ICourseTicket):
     """A course ticket.
 
     """
 
-class ICustomStudentUpdateByRegNo(INigeriaStudentUpdateByRegNo):
+class ICustomStudentUpdateByRegNo(IStudentUpdateByRegNo):
     """Representation of a student. Skip regular reg_number validation.
 
     """
 
-class ICustomStudentUpdateByMatricNo(INigeriaStudentUpdateByMatricNo):
+class ICustomStudentUpdateByMatricNo(IStudentUpdateByMatricNo):
     """Representation of a student. Skip regular matric_number validation.
 
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/payments.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/students/payments.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/payments.py	(revision 11687)
@@ -26,5 +26,5 @@
     StudentOnlinePayment, StudentOnlinePaymentFactory)
 from waeup.kofa.utils.helpers import attrs_to_fields
-from kofacustom.skeleton.students.interfaces import ICustomStudentOnlinePayment
+from kofacustom.sampleuni.students.interfaces import ICustomStudentOnlinePayment
 
 class CustomStudentOnlinePayment(StudentOnlinePayment):
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/student.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/students/student.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/student.py	(revision 11687)
@@ -25,9 +25,9 @@
 from waeup.kofa.students.interfaces import IStudentNavigation
 from waeup.kofa.utils.helpers import get_current_principal
-from kofacustom.nigeria.students.student import NigeriaStudent
-from kofacustom.skeleton.students.interfaces import ICustomStudent
+from waeup.kofa.students.student import Student
+from kofacustom.sampleuni.students.interfaces import ICustomStudent
 
 
-class CustomStudent(NigeriaStudent):
+class CustomStudent(Student):
     """This is a student container for the various objects
     owned by students.
@@ -39,5 +39,5 @@
     def transcript_enabled(self):
         user = get_current_principal()
-        if user.id in ('admin', 'isouaba', 'niyi', 'delejason'):
+        if user.id in ('admin'):
             return True
         return False
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/studycourse.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/students/studycourse.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/studycourse.py	(revision 11687)
@@ -26,8 +26,8 @@
 from waeup.kofa.students.interfaces import IStudentNavigation
 from waeup.kofa.students.workflow import CLEARED, RETURNING, PAID
-from kofacustom.nigeria.students.studycourse import NigeriaStudentStudyCourse
-from kofacustom.skeleton.students.interfaces import ICustomStudentStudyCourse
+from waeup.kofa.students.studycourse import StudentStudyCourse
+from kofacustom.sampleuni.students.interfaces import ICustomStudentStudyCourse
 
-class CustomStudentStudyCourse(NigeriaStudentStudyCourse):
+class CustomStudentStudyCourse(StudentStudyCourse):
     """This is a container for study levels.
     """
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/studylevel.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/students/studylevel.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/studylevel.py	(revision 11687)
@@ -28,5 +28,5 @@
     CourseTicketFactory, StudentStudyLevelFactory)
 from waeup.kofa.students.interfaces import IStudentNavigation
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.sampleuni.students.interfaces import (
     ICustomStudentStudyLevel, ICustomCourseTicket)
 
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/tests/test_browser.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/students/tests/test_browser.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/tests/test_browser.py	(revision 11687)
@@ -34,4 +34,4 @@
     IExtFileStore, IFileStoreNameChooser)
 from waeup.kofa.students.interfaces import IStudentsUtils
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.sampleuni.testing import FunctionalLayer
 
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/tests/test_export.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/students/tests/test_export.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/tests/test_export.py	(revision 11687)
@@ -5,8 +5,8 @@
 from waeup.kofa.schoolgrades import ResultEntry
 from waeup.kofa.students.tests.test_batching import StudentImportExportSetup
-from kofacustom.skeleton.utils.utils import CustomKofaUtils
-from kofacustom.skeleton.students.export import (
+from kofacustom.sampleuni.utils.utils import CustomKofaUtils
+from kofacustom.sampleuni.students.export import (
     CustomStudentsExporter, CustomStudentPaymentsExporter)
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.sampleuni.testing import FunctionalLayer
 
 
@@ -46,26 +46,14 @@
         result = open(self.outfile, 'rb').read()
         self.assertMatches(
-            'adm_code,alr_date,alr_fname,alr_no,alr_results,clearance_locked,'
-            'clr_code,date_of_birth,def_adm,disabled,email,emp2_end,'
-            'emp2_position,emp2_reason,emp2_start,emp_end,emp_position,'
-            'emp_reason,emp_start,employer,employer2,firstname,former_matric,'
-            'fst_sit_date,fst_sit_fname,fst_sit_no,fst_sit_results,'
-            'fst_sit_type,hq2_degree,hq2_disc,hq2_matric_no,hq2_school,'
-            'hq2_session,hq2_type,hq_degree,hq_disc,hq_fname,hq_matric_no,'
-            'hq_school,hq_session,hq_type,is_staff,lastname,lga,'
-            'marit_stat,matric_number,middlename,nationality,'
-            'next_kin_address,next_kin_name,next_kin_phone,next_kin_relation,'
-            'nysc_lga,nysc_location,nysc_year,officer_comment,'
-            'perm_address,personal_updated,phone,reg_number,'
-            'religion,scd_sit_date,scd_sit_fname,scd_sit_no,'
-            'scd_sit_results,scd_sit_type,sex,student_id,'
-            'suspended,suspended_comment,password,state,history,certcode,is_postgrad,'
-            'current_level,current_session\r\nmy adm code,,,,'
-            '"[(\'visual_art\', \'A1\')]",0,my clr code,1981-02-04#,,,'
-            'anna@sample.com,,,,,,,,,,,Anna,,,,,"[(\'visual_art\', \'A1\')]"'
-            ',,,,,,,,,,,,,,,,Tester,,,234,M.,NG,,,,,,,,,'
-            '"Studentroad 21\nLagos 123456\n",,+234-123-12345#,123,,,,,'
-            '"[(\'visual_art\', \'A1\')]",,f,A111111,0,,,created,'
-            '[u\'2012-11-06 13:16:41 WAT - Record created by system\'],'
+            'adm_code,clearance_locked,clr_code,date_of_birth,email,'
+            'employer,firstname,lastname,matric_number,middlename,'
+            'nationality,officer_comment,perm_address,personal_updated,'
+            'phone,reg_number,sex,student_id,suspended,suspended_comment,'
+            'password,state,history,certcode,is_postgrad,current_level,'
+            'current_session\r\nmy adm code,0,my clr code,1981-02-04#,'
+            'anna@sample.com,,Anna,Tester,234,M.,NG,,'
+            '"Studentroad 21\nLagos 123456\n",,+234-123-12345#,123,'
+            'f,A111111,0,,,created,'
+            '[u\'2014-06-16 08:23:55 UTC - Record created by system\'],'
             'CERT1,0,200,2012\r\n',
             result
@@ -99,12 +87,10 @@
         result = open(self.outfile, 'rb').read()
         self.assertMatches(
-            'ac,amount_auth,creation_date,gateway_amt,p_category,p_current,'
-            'p_id,p_item,p_level,p_session,p_state,payment_date,provider_amt,'
-            'r_amount_approved,r_card_num,r_code,r_company,r_desc,'
-            'r_pay_reference,thirdparty_amt,student_id,state,'
-            'current_session\r\n'
-            '666,12.12,2012-04-01 13:12:01,,schoolfee,1,my-id,p-item,'
-            '100,2012,paid,2012-04-01 14:12:01,,12.12,'
-            '789,r-code,interswatch,,,,A111111,created,2012\r\n',
+            'ac,amount_auth,creation_date,p_category,p_current,p_id,'
+            'p_item,p_level,p_session,p_state,payment_date,r_amount_approved,'
+            'r_code,r_desc,student_id,state,current_session\r\n666,'
+            '12.12,2012-04-01 13:12:01,schoolfee,1,my-id,p-item,'
+            '100,2012,paid,2012-04-01 14:12:01,12.12,r-code,,'
+            'A111111,created,2012\r\n',
             result
             )
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/tests/test_student.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/students/tests/test_student.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/tests/test_student.py	(revision 11687)
@@ -22,15 +22,15 @@
 from zope.interface import verify
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.skeleton.students.student import CustomStudent, CustomStudentFactory
-from kofacustom.skeleton.students.studycourse import (
+from kofacustom.sampleuni.students.student import CustomStudent, CustomStudentFactory
+from kofacustom.sampleuni.students.studycourse import (
     CustomStudentStudyCourse, CustomStudentStudyCourseFactory)
-from kofacustom.skeleton.students.studylevel import (
+from kofacustom.sampleuni.students.studylevel import (
     CustomStudentStudyLevel, CustomCourseTicket,
     CustomStudentStudyLevelFactory,
     CustomCourseTicketFactory)
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.sampleuni.students.interfaces import (
     ICustomStudent, ICustomStudentStudyCourse,
     ICustomStudentStudyLevel, ICustomCourseTicket)
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.sampleuni.testing import FunctionalLayer
 
 
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/utils.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/students/utils.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/utils.py	(revision 11687)
@@ -20,8 +20,8 @@
 from waeup.kofa.interfaces import (IKofaUtils,
     CLEARED, RETURNING, PAID, REGISTERED, VALIDATED)
-from kofacustom.nigeria.students.utils import NigeriaStudentsUtils
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from waeup.kofa.students.utils import StudentsUtils
+from kofacustom.sampleuni.interfaces import MessageFactory as _
 
-class CustomStudentsUtils(NigeriaStudentsUtils):
+class CustomStudentsUtils(StudentsUtils):
     """A collection of customized methods.
 
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/viewlets.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/students/viewlets.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/viewlets.py	(revision 11687)
@@ -20,5 +20,5 @@
 from waeup.kofa.interfaces import REQUESTED
 from waeup.kofa.browser.viewlets import ManageActionButton
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.sampleuni.students.interfaces import (
     ICustomStudentStudyCourse, ICustomStudentStudyLevel)
 from waeup.kofa.students.viewlets import (
@@ -28,3 +28,3 @@
     StudyLevelDisplayFormPage)
 
-from kofacustom.nigeria.interfaces import MessageFactory as _
+from waeup.kofa.interfaces import MessageFactory as _
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/testing.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/testing.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/testing.py	(revision 11687)
@@ -19,9 +19,9 @@
 """
 import os.path
-import kofacustom.skeleton
+import kofacustom.sampleuni
 from zope.app.testing.functional import ZCMLLayer
 
 ftesting_zcml = os.path.join(
-    os.path.dirname(kofacustom.skeleton.__file__), 'ftesting.zcml')
+    os.path.dirname(kofacustom.sampleuni.__file__), 'ftesting.zcml')
 FunctionalLayer = ZCMLLayer(ftesting_zcml, __name__, 'FunctionalLayer',
                             allow_teardown=True)
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/tests/test_configuration.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/tests/test_configuration.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/tests/test_configuration.py	(revision 11687)
@@ -25,9 +25,9 @@
 from waeup.kofa.tests.test_configuration import (
     ConfigurationTest, SessionConfigurationFactoryTest)
-from kofacustom.skeleton.configuration import (
+from kofacustom.sampleuni.configuration import (
     CustomSessionConfiguration, CustomSessionConfigurationFactory)
-from kofacustom.skeleton.interfaces import(
+from kofacustom.sampleuni.interfaces import(
     ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.sampleuni.testing import FunctionalLayer
 
 class ConfigurationTest(ConfigurationTest):
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/tests/test_datacenter.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/tests/test_datacenter.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/tests/test_datacenter.py	(revision 11687)
@@ -18,5 +18,5 @@
 from waeup.kofa.datacenter import DataCenter
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.sampleuni.testing import FunctionalLayer
 
 
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/tests/test_smtp.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/tests/test_smtp.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/tests/test_smtp.py	(revision 11687)
@@ -33,5 +33,5 @@
     send_mail)
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.sampleuni.testing import FunctionalLayer
 
 #
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/utils/tests.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/utils/tests.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/utils/tests.py	(revision 11687)
@@ -17,5 +17,5 @@
 ##
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.sampleuni.testing import FunctionalLayer
 
 
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/utils/utils.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/utils/utils.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/utils/utils.py	(revision 11687)
@@ -18,7 +18,7 @@
 """Customize general helper utilities for Kofa.
 """
-from kofacustom.nigeria.utils.utils import NigeriaKofaUtils
+from waeup.kofa.utils.utils import KofaUtils
 
-class CustomKofaUtils(NigeriaKofaUtils):
+class CustomKofaUtils(KofaUtils):
     """A collection of methods subject to customization.
     """
